
:root {
	/* responsive margins / paddings */
	--margin-sm: 16px;
	--margin-md: 32px;

	/* color variables */
	--main-colours-primary-dark: #981d97;
	--ht-tertiary-colours-ht-magenta: #981d97;
	--ht-oaken-blue: #004677;
	--main-colours-primary: #004677;

}

* {
	--min-screen-size: 430;
	--max-screen-size: 1440;
	--interpolate-diff: calc(var(--max-font-size) - var(--min-font-size));
	--interpolate: clamp(calc(var(--min-font-size) * 1px), calc((var(--min-font-size) * 1px) + var(--interpolate-diff) * ((100vw - calc(var(--min-screen-size) * 1px)) / (var(--max-screen-size) - var(--min-screen-size)))), calc(var(--max-font-size) * 1px));
}

html {
	height: 100%;
	font-size: 16px;
}



/* text utility classes */

.text-dark {
	color: #293030;
	--min-font-size: 16; --max-font-size: 20; font-size: var(--interpolate);
	font-weight: 400;
	line-height: 1.4;
}

.title-cyan {
	color: #0096b7;
	--min-font-size: 22; --max-font-size: 36; font-size: var(--interpolate);
	font-weight: 700;
	line-height: 1.111;
}

.bold {
	font-weight: 700;
}

.sub-text {
	font-weight: 400;
}




/* text utility classes */

.text-dark-htc {
	color: #293030;
	--min-font-size: 16;
	--max-font-size: 20;
	font-size: var(--interpolate);
	font-weight: 400;
	line-height: 1.4;
}

.title-main-colours-primary-dark {
	color: var(--main-colours-primary-dark);
	--min-font-size: 22;
	--max-font-size: 36;
	font-size: var(--interpolate);
	font-weight: 700;
	line-height: 1.111;
}

